Get a server
curl --request GET \
--url https://console.wenium.com/api/servers/{server} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.wenium.com/api/servers/{server}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.wenium.com/api/servers/{server}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.wenium.com/api/servers/{server}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://console.wenium.com/api/servers/{server}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://console.wenium.com/api/servers/{server}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.wenium.com/api/servers/{server}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 10,
"name": "web-server-01",
"vcpu": 2,
"ram": 2048,
"disk": 40,
"bw_used": 12.34,
"main_ipv4": "192.168.1.100",
"main_ipv6": "2001:db8::1",
"template": "Ubuntu 22.04",
"firewall_group_id": 5,
"created_at": "2026-07-03T00:00:00.000000Z",
"renewed_at": "2026-07-03T00:00:00.000000Z",
"due_date": "2026-08-03T00:00:00.000000Z",
"recurring_amount": 15,
"amount_paid": 15,
"payment_currency": "USD",
"billing_cycle": "monthly",
"status": "running"
}Virtual Machines
Get a server
GET
/
servers
/
{server}
Get a server
curl --request GET \
--url https://console.wenium.com/api/servers/{server} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.wenium.com/api/servers/{server}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.wenium.com/api/servers/{server}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.wenium.com/api/servers/{server}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://console.wenium.com/api/servers/{server}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://console.wenium.com/api/servers/{server}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.wenium.com/api/servers/{server}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 10,
"name": "web-server-01",
"vcpu": 2,
"ram": 2048,
"disk": 40,
"bw_used": 12.34,
"main_ipv4": "192.168.1.100",
"main_ipv6": "2001:db8::1",
"template": "Ubuntu 22.04",
"firewall_group_id": 5,
"created_at": "2026-07-03T00:00:00.000000Z",
"renewed_at": "2026-07-03T00:00:00.000000Z",
"due_date": "2026-08-03T00:00:00.000000Z",
"recurring_amount": 15,
"amount_paid": 15,
"payment_currency": "USD",
"billing_cycle": "monthly",
"status": "running"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Server details
Example:
10
Example:
"web-server-01"
Example:
2
Example:
2048
Example:
40
Example:
12.34
Example:
"192.168.1.100"
Example:
"2001:db8::1"
Example:
"Ubuntu 22.04"
Example:
5
Example:
"2026-07-03T00:00:00.000000Z"
Example:
"2026-07-03T00:00:00.000000Z"
Example:
"2026-08-03T00:00:00.000000Z"
Example:
15
Example:
15
Example:
"USD"
Example:
"monthly"
Example:
"running"
